Ubuntu

Comment 19 for bug 149836

Thanks a lot for help. Now it's all ok.

2008/3/26, Steve Langasek <email address hidden>:
>
> I'm not sure that the proposed patch is correct. The errors should be
> ignored during postrm purge, but this change also affects the results if
> "postrm remove" fails; since the linux-ubuntu-modules postrm will be
> called with the "remove" argument while linux-image is still present
> (unless someone has overridden dpkg with --force-depends), any failures
> in postrm remove are probably an issue that it's better to raise an
> error on.
>
> I also don't think that update-initramfs needs to be called at all for
> "purge"; this should all be handled already for "remove".
>
> So here is a counter-suggestion.
>
> ** Attachment added: "patch to not call update-initramfs on purge"
> http://launchpadlibrarian.net/12906962/lum-purge-not-needed.patch
>
>
> --
> cannot purge config files for linux-ubuntu-modules-2.6.22-12-generic
> https://bugs.launchpad.net/bugs/149836
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "linux-ubuntu-modules-2.6.22" in Ubuntu: Triaged
> Status in Source Package "linux-ubuntu-modules-2.6.24" in Ubuntu: Triaged
>
> Bug description:
> Hi
>
> I cannot remove this package's config files:
>
> sudo dpkg --purge linux-ubuntu-modules-2.6.22-12-generic
> (Leyendo la base de datos ...
> 105816 ficheros y directorios instalados actualmente.)
> Desinstalando linux-ubuntu-modules-2.6.22-12-generic ...
> Purgando ficheros de configuración de
> linux-ubuntu-modules-2.6.22-12-generic ...
> FATAL: Could not open '/boot/System.map-2.6.22-12-generic': No such file
> or directory
> update-initramfs: Generating /boot/initrd.img-2.6.22-12-generic
> Cannot find /lib/modules/2.6.22-12-generic
> update-initramfs: failed for /boot/initrd.img-2.6.22-12-generic
> dpkg: error al procesar linux-ubuntu-modules-2.6.22-12-generic (--purge):
> el subproceso post-removal script devolvió el código de salida de error
> 1
> Se encontraron errores al procesar:
> linux-ubuntu-modules-2.6.22-12-generic
>
>
> I'm running gutsy x86 up to date with kernel 2.6.22-13
>